M6809FN_("BRA relative"   ,BRA_ADDRESS  )
M6809FN_("LBRA relative"  ,BRA_ADDRESS  )
M6809FN_("BRN relative"   ,BRN_ADDRESS  )
M6809FN_("LBRN relative"  ,BRN_ADDRESS  )
M6809FN_("BHI relative"   ,BHI_ADDRESS  )
M6809FN_("LBHI relative"  ,BHI_ADDRESS  )
M6809FN_("BLS relative"   ,BLS_ADDRESS  )
M6809FN_("LBLS relative"  ,BLS_ADDRESS  )
M6809FN_("BHS relative"   ,BHS_ADDRESS  )
M6809FN_("LBHS relative"  ,BHS_ADDRESS  )
M6809FN_("BLO relative"   ,BLO_ADDRESS  )
M6809FN_("LBLO relative"  ,BLO_ADDRESS  )
M6809FN_("BNE relative"   ,BNE_ADDRESS  )
M6809FN_("LBNE relative"  ,BNE_ADDRESS  )
M6809FN_("BEQ relative"   ,BEQ_ADDRESS  )
M6809FN_("LBEQ relative"  ,BEQ_ADDRESS  )
M6809FN_("BVC relative"   ,BVC_ADDRESS  )
M6809FN_("LBVC relative"  ,BVC_ADDRESS  )
M6809FN_("BVS relative"   ,BVS_ADDRESS  )
M6809FN_("LBVS relative"  ,BVS_ADDRESS  )
M6809FN_("BPL relative"   ,BPL_ADDRESS  )
M6809FN_("LBPL relative"  ,BPL_ADDRESS  )
M6809FN_("BMI relative"   ,BMI_ADDRESS  )
M6809FN_("LBMI relative"  ,BMI_ADDRESS  )
M6809FN_("BGE relative"   ,BGE_ADDRESS  )
M6809FN_("LBGE relative"  ,BGE_ADDRESS  )
M6809FN_("BLT relative"   ,BLT_ADDRESS  )
M6809FN_("LBLT relative"  ,BLT_ADDRESS  )
M6809FN_("BGT relative"   ,BGT_ADDRESS  )
M6809FN_("LBGT relative"  ,BGT_ADDRESS  )
M6809FN_("BLE relative"   ,BLE_ADDRESS  )
M6809FN_("LBLE relative"  ,BLE_ADDRESS  )
M6809FN_("BSR relative"   ,BSR_ADDRESS  )
M6809FN_("LBSR relative"  ,BSR_ADDRESS  )
M6809FN_("ABX inherent"   ,ABX_INHERENT )
M6809FN_("ADCA immediate" ,ADCA_DATA    )
M6809FN_("ADCA direct"    ,ADCA_ADDRESS )
M6809FN_("ADCA indexed"   ,ADCA_ADDRESS )
M6809FN_("ADCA extended"  ,ADCA_ADDRESS )
M6809FN_("ADCB immediate" ,ADCB_DATA    )
M6809FN_("ADCB direct"    ,ADCB_ADDRESS )
M6809FN_("ADCB indexed"   ,ADCB_ADDRESS )
M6809FN_("ADCB extended"  ,ADCB_ADDRESS )
M6809FN_("ADDA immediate" ,ADDA_DATA    )
M6809FN_("ADDA direct"    ,ADDA_ADDRESS )
M6809FN_("ADDA indexed"   ,ADDA_ADDRESS )
M6809FN_("ADDA extended"  ,ADDA_ADDRESS )
M6809FN_("ADDB immediate" ,ADDB_DATA    )
M6809FN_("ADDB direct"    ,ADDB_ADDRESS )
M6809FN_("ADDB indexed"   ,ADDB_ADDRESS )
M6809FN_("ADDB extended"  ,ADDB_ADDRESS )
M6809FN_("ADDD immediate" ,ADDD_DATA    )
M6809FN_("ADDD direct"    ,ADDD_ADDRESS )
M6809FN_("ADDD indexed"   ,ADDD_ADDRESS )
M6809FN_("ADDD extended"  ,ADDD_ADDRESS )
M6809FN_("ANDA immediate" ,ANDA_DATA    )
M6809FN_("ANDA direct"    ,ANDA_ADDRESS )
M6809FN_("ANDA indexed"   ,ANDA_ADDRESS )
M6809FN_("ANDA extended"  ,ANDA_ADDRESS )
M6809FN_("ANDB immediate" ,ANDB_DATA    )
M6809FN_("ANDB direct"    ,ANDB_ADDRESS )
M6809FN_("ANDB indexed"   ,ANDB_ADDRESS )
M6809FN_("ANDB extended"  ,ANDB_ADDRESS )
M6809FN_("ANDCC immediate",ANDCC_DATA   )
M6809FN_("ASLA inherent"  ,ASLA_INHERENT)
M6809FN_("ASLB inherent"  ,ASLB_INHERENT)
M6809FN_("ASL direct"     ,ASL_ADDRESS  )
M6809FN_("ASL indexed"    ,ASL_ADDRESS  )
M6809FN_("ASL extended"   ,ASL_ADDRESS  )
M6809FN_("ASRA inherent"  ,ASRA_INHERENT)
M6809FN_("ASRB inherent"  ,ASRB_INHERENT)
M6809FN_("ASR direct"     ,ASR_ADDRESS  )
M6809FN_("ASR indexed"    ,ASR_ADDRESS  )
M6809FN_("ASR extended"   ,ASR_ADDRESS  )
M6809FN_("BITA immediate" ,BITA_DATA    )
M6809FN_("BITA direct"    ,BITA_ADDRESS )
M6809FN_("BITA indexed"   ,BITA_ADDRESS )
M6809FN_("BITA extended"  ,BITA_ADDRESS )
M6809FN_("BITB immediate" ,BITB_DATA    )
M6809FN_("BITB direct"    ,BITB_ADDRESS )
M6809FN_("BITB indexed"   ,BITB_ADDRESS )
M6809FN_("BITB extended"  ,BITB_ADDRESS )
M6809FN_("CLRA inherent"  ,CLRA_INHERENT)
M6809FN_("CLRB inherent"  ,CLRB_INHERENT)
M6809FN_("CLR direct"     ,CLR_ADDRESS  )
M6809FN_("CLR indexed"    ,CLR_ADDRESS  )
M6809FN_("CLR extended"   ,CLR_ADDRESS  )
M6809FN_("CMPA immediate" ,CMPA_DATA    )
M6809FN_("CMPA direct"    ,CMPA_ADDRESS )
M6809FN_("CMPA indexed"   ,CMPA_ADDRESS )
M6809FN_("CMPA extended"  ,CMPA_ADDRESS )
M6809FN_("CMPB immediate" ,CMPB_DATA    )
M6809FN_("CMPB direct"    ,CMPB_ADDRESS )
M6809FN_("CMPB indexed"   ,CMPB_ADDRESS )
M6809FN_("CMPB extended"  ,CMPB_ADDRESS )
M6809FN_("CMPD immediate" ,CMPD_DATA    )
M6809FN_("CMPD direct"    ,CMPD_ADDRESS )
M6809FN_("CMPD indexed"   ,CMPD_ADDRESS )
M6809FN_("CMPD extended"  ,CMPD_ADDRESS )
M6809FN_("CMPS immediate" ,CMPS_DATA    )
M6809FN_("CMPS direct"    ,CMPS_ADDRESS )
M6809FN_("CMPS indexed"   ,CMPS_ADDRESS )
M6809FN_("CMPS extended"  ,CMPS_ADDRESS )
M6809FN_("CMPU immediate" ,CMPU_DATA    )
M6809FN_("CMPU direct"    ,CMPU_ADDRESS )
M6809FN_("CMPU indexed"   ,CMPU_ADDRESS )
M6809FN_("CMPU extended"  ,CMPU_ADDRESS )
M6809FN_("CMPX immediate" ,CMPX_DATA    )
M6809FN_("CMPX direct"    ,CMPX_ADDRESS )
M6809FN_("CMPX indexed"   ,CMPX_ADDRESS )
M6809FN_("CMPX extended"  ,CMPX_ADDRESS )
M6809FN_("CMPY immediate" ,CMPY_DATA    )
M6809FN_("CMPY direct"    ,CMPY_ADDRESS )
M6809FN_("CMPY indexed"   ,CMPY_ADDRESS )
M6809FN_("CMPY extended"  ,CMPY_ADDRESS )
M6809FN_("COMA inherent"  ,COMA_INHERENT)
M6809FN_("COMB inherent"  ,COMB_INHERENT)
M6809FN_("COM direct"     ,COM_ADDRESS  )
M6809FN_("COM indexed"    ,COM_ADDRESS  )
M6809FN_("COM extended"   ,COM_ADDRESS  )
M6809FN_("CWAI immediate" ,CWAI_DATA    )
M6809FN_("DAA inherent"   ,DAA_INHERENT )
M6809FN_("DECA inherent"  ,DECA_INHERENT)
M6809FN_("DECB inherent"  ,DECB_INHERENT)
M6809FN_("DEC direct"     ,DEC_ADDRESS  )
M6809FN_("DEC indexed"    ,DEC_ADDRESS  )
M6809FN_("DEC extended"   ,DEC_ADDRESS  )
M6809FN_("EORA immediate" ,EORA_DATA    )
M6809FN_("EORA direct"    ,EORA_ADDRESS )
M6809FN_("EORA indexed"   ,EORA_ADDRESS )
M6809FN_("EORA extended"  ,EORA_ADDRESS )
M6809FN_("EORB immediate" ,EORB_DATA    )
M6809FN_("EORB direct"    ,EORB_ADDRESS )
M6809FN_("EORB indexed"   ,EORB_ADDRESS )
M6809FN_("EORB extended"  ,EORB_ADDRESS )
M6809FN_("EXG immediate"  ,EXG_DATA     )
M6809FN_("INCA inherent"  ,INCA_INHERENT)
M6809FN_("INCB inherent"  ,INCB_INHERENT)
M6809FN_("INC direct"     ,INC_ADDRESS  )
M6809FN_("INC indexed"    ,INC_ADDRESS  )
M6809FN_("INC extended"   ,INC_ADDRESS  )
M6809FN_("JMP direct"     ,BRA_ADDRESS  )
M6809FN_("JMP indexed"    ,BRA_ADDRESS  )
M6809FN_("JMP extended"   ,BRA_ADDRESS  )
M6809FN_("JSR direct"     ,BSR_ADDRESS  )
M6809FN_("JSR indexed"    ,BSR_ADDRESS  )
M6809FN_("JSR extended"   ,BSR_ADDRESS  )
M6809FN_("LDA immediate"  ,LDA_DATA     )
M6809FN_("LDA direct"     ,LDA_ADDRESS  )
M6809FN_("LDA indexed"    ,LDA_ADDRESS  )
M6809FN_("LDA extended"   ,LDA_ADDRESS  )
M6809FN_("LDB immediate"  ,LDB_DATA     )
M6809FN_("LDB direct"     ,LDB_ADDRESS  )
M6809FN_("LDB indexed"    ,LDB_ADDRESS  )
M6809FN_("LDB extended"   ,LDB_ADDRESS  )
M6809FN_("LDD immediate"  ,LDD_DATA     )
M6809FN_("LDD direct"     ,LDD_ADDRESS  )
M6809FN_("LDD indexed"    ,LDD_ADDRESS  )
M6809FN_("LDD extended"   ,LDD_ADDRESS  )
M6809FN_("LDS immediate"  ,LDS_DATA     )
M6809FN_("LDS direct"     ,LDS_ADDRESS  )
M6809FN_("LDS indexed"    ,LDS_ADDRESS  )
M6809FN_("LDS extended"   ,LDS_ADDRESS  )
M6809FN_("LDU immediate"  ,LDU_DATA     )
M6809FN_("LDU direct"     ,LDU_ADDRESS  )
M6809FN_("LDU indexed"    ,LDU_ADDRESS  )
M6809FN_("LDU extended"   ,LDU_ADDRESS  )
M6809FN_("LDX immediate"  ,LDX_DATA     )
M6809FN_("LDX direct"     ,LDX_ADDRESS  )
M6809FN_("LDX indexed"    ,LDX_ADDRESS  )
M6809FN_("LDX extended"   ,LDX_ADDRESS  )
M6809FN_("LDY immediate"  ,LDY_DATA     )
M6809FN_("LDY direct"     ,LDY_ADDRESS  )
M6809FN_("LDY indexed"    ,LDY_ADDRESS  )
M6809FN_("LDY extended"   ,LDY_ADDRESS  )
M6809FN_("LEAS indexed"   ,LEAS_ADDRESS )
M6809FN_("LEAU indexed"   ,LEAU_ADDRESS )
M6809FN_("LEAX indexed"   ,LEAX_ADDRESS )
M6809FN_("LEAY indexed"   ,LEAY_ADDRESS )
M6809FN_("LSRA inherent"  ,LSRA_INHERENT)
M6809FN_("LSRB inherent"  ,LSRB_INHERENT)
M6809FN_("LSR direct"     ,LSR_ADDRESS  )
M6809FN_("LSR indexed"    ,LSR_ADDRESS  )
M6809FN_("LSR extended"   ,LSR_ADDRESS  )
M6809FN_("MUL inherent"   ,MUL_INHERENT )
M6809FN_("NEGA inherent"  ,NEGA_INHERENT)
M6809FN_("NEGB inherent"  ,NEGB_INHERENT)
M6809FN_("NEG direct"     ,NEG_ADDRESS  )
M6809FN_("NEG indexed"    ,NEG_ADDRESS  )
M6809FN_("NEG extended"   ,NEG_ADDRESS  )
M6809FN_("NOP inherent"   ,NOP_INHERENT )
M6809FN_("ORA immediate"  ,ORA_DATA     )
M6809FN_("ORA direct"     ,ORA_ADDRESS  )
M6809FN_("ORA indexed"    ,ORA_ADDRESS  )
M6809FN_("ORA extended"   ,ORA_ADDRESS  )
M6809FN_("ORB immediate"  ,ORB_DATA     )
M6809FN_("ORB direct"     ,ORB_ADDRESS  )
M6809FN_("ORB indexed"    ,ORB_ADDRESS  )
M6809FN_("ORB extended"   ,ORB_ADDRESS  )
M6809FN_("ORCC immediate" ,ORCC_DATA    )
M6809FN_("PSHS immediate" ,PSHS_DATA    )
M6809FN_("PSHU immediate" ,PSHU_DATA    )
M6809FN_("PULS immediate" ,PULS_DATA    )
M6809FN_("PULU immediate" ,PULU_DATA    )
M6809FN_("ROLA inherent"  ,ROLA_INHERENT)
M6809FN_("ROLB inherent"  ,ROLB_INHERENT)
M6809FN_("ROL direct"     ,ROL_ADDRESS  )
M6809FN_("ROL indexed"    ,ROL_ADDRESS  )
M6809FN_("ROL extended"   ,ROL_ADDRESS  )
M6809FN_("RORA inherent"  ,RORA_INHERENT)
M6809FN_("RORB inherent"  ,RORB_INHERENT)
M6809FN_("ROR direct"     ,ROR_ADDRESS  )
M6809FN_("ROR indexed"    ,ROR_ADDRESS  )
M6809FN_("ROR extended"   ,ROR_ADDRESS  )
M6809FN_("RTI inherent"   ,RTI_INHERENT )
M6809FN_("RTS inherent"   ,RTS_INHERENT )
M6809FN_("SBCA immediate" ,SBCA_DATA    )
M6809FN_("SBCA direct"    ,SBCA_ADDRESS )
M6809FN_("SBCA indexed"   ,SBCA_ADDRESS )
M6809FN_("SBCA extended"  ,SBCA_ADDRESS )
M6809FN_("SBCB immediate" ,SBCB_DATA    )
M6809FN_("SBCB direct"    ,SBCB_ADDRESS )
M6809FN_("SBCB indexed"   ,SBCB_ADDRESS )
M6809FN_("SBCB extended"  ,SBCB_ADDRESS )
M6809FN_("SEX inherent"   ,SEX_INHERENT )
M6809FN_("STA direct"     ,STA_ADDRESS  )
M6809FN_("STA indexed"    ,STA_ADDRESS  )
M6809FN_("STA extended"   ,STA_ADDRESS  )
M6809FN_("STB direct"     ,STB_ADDRESS  )
M6809FN_("STB indexed"    ,STB_ADDRESS  )
M6809FN_("STB extended"   ,STB_ADDRESS  )
M6809FN_("STD direct"     ,STD_ADDRESS  )
M6809FN_("STD indexed"    ,STD_ADDRESS  )
M6809FN_("STD extended"   ,STD_ADDRESS  )
M6809FN_("STS direct"     ,STS_ADDRESS  )
M6809FN_("STS indexed"    ,STS_ADDRESS  )
M6809FN_("STS extended"   ,STS_ADDRESS  )
M6809FN_("STU direct"     ,STU_ADDRESS  )
M6809FN_("STU indexed"    ,STU_ADDRESS  )
M6809FN_("STU extended"   ,STU_ADDRESS  )
M6809FN_("STX direct"     ,STX_ADDRESS  )
M6809FN_("STX indexed"    ,STX_ADDRESS  )
M6809FN_("STX extended"   ,STX_ADDRESS  )
M6809FN_("STY direct"     ,STY_ADDRESS  )
M6809FN_("STY indexed"    ,STY_ADDRESS  )
M6809FN_("STY extended"   ,STY_ADDRESS  )
M6809FN_("SUBA immediate" ,SUBA_DATA    )
M6809FN_("SUBA direct"    ,SUBA_ADDRESS )
M6809FN_("SUBA indexed"   ,SUBA_ADDRESS )
M6809FN_("SUBA extended"  ,SUBA_ADDRESS )
M6809FN_("SUBB immediate" ,SUBB_DATA    )
M6809FN_("SUBB direct"    ,SUBB_ADDRESS )
M6809FN_("SUBB indexed"   ,SUBB_ADDRESS )
M6809FN_("SUBB extended"  ,SUBB_ADDRESS )
M6809FN_("SUBD immediate" ,SUBD_DATA    )
M6809FN_("SUBD direct"    ,SUBD_ADDRESS )
M6809FN_("SUBD indexed"   ,SUBD_ADDRESS )
M6809FN_("SUBD extended"  ,SUBD_ADDRESS )
M6809FN_("SWI inherent"   ,SWI_INHERENT )
M6809FN_("SWI2 inherent"  ,SWI2_INHERENT)
M6809FN_("SWI3 inherent"  ,SWI3_INHERENT)
M6809FN_("SYNC inherent"  ,SYNC_INHERENT)
M6809FN_("TFR immediate"  ,TFR_DATA     )
M6809FN_("TSTA inherent"  ,TSTA_INHERENT)
M6809FN_("TSTB inherent"  ,TSTB_INHERENT)
M6809FN_("TST direct"     ,TST_ADDRESS  )
M6809FN_("TST indexed"    ,TST_ADDRESS  )
M6809FN_("TST extended"   ,TST_ADDRESS  )





